//
// Created by lnan on 07/12/2020.
//

#ifndef EASY3D_EXAMPLES_H
#define EASY3D_EXAMPLES_H


/// @example Tutorial_101_PointCloud                \include Tutorial_101_PointCloud/main.cpp
/// @example Tutorial_102_PointCloud_Property       \include Tutorial_102_PointCloud_Property/main.cpp
/// @example Tutorial_103_PointCloud_IO             \include Tutorial_103_PointCloud_IO/main.cpp
/// @example Tutorial_104_SurfaceMesh               \include Tutorial_104_SurfaceMesh/main.cpp
/// @example Tutorial_105_SurfaceMesh_Connectivity  \include Tutorial_105_SurfaceMesh_Connectivity/main.cpp
/// @example Tutorial_106_SurfaceMesh_Property      \include Tutorial_106_SurfaceMesh_Property/main.cpp
/// @example Tutorial_107_SurfaceMesh_IO            \include Tutorial_107_SurfaceMesh_IO/main.cpp
/// @example Tutorial_108_Graph                     \include Tutorial_108_Graph/main.cpp
/// @example Tutorial_109_Graph_Connectivity        \include Tutorial_109_Graph_Connectivity/main.cpp
/// @example Tutorial_110_Graph_Property            \include Tutorial_110_Graph_Property/main.cpp
/// @example Tutorial_111_Graph_IO                  \include Tutorial_111_Graph_IO/main.cpp
/// @example Tutorial_112_PolyMesh                  \include Tutorial_112_PolyMesh/main.cpp
/// @example Tutorial_113_PolyMesh_Connectivity     \include Tutorial_113_PolyMesh_Connectivity/main.cpp
/// @example Tutorial_114_PolyMesh_Property         \include Tutorial_114_PolyMesh_Property/main.cpp
/// @example Tutorial_115_PolyMesh_IO               \include Tutorial_115_PolyMesh_IO/main.cpp

/**
 * \example Tutorial_201_Viewer_imgui
 * The source file containing the main() function:
 * \include Tutorial_201_Viewer_imgui/main.cpp
 * The header file of the class:
 * \include Tutorial_201_Viewer_imgui/viewer.h
 * The source file of the class:
 * \include Tutorial_201_Viewer_imgui/viewer.cpp
 */

/**
 * \example Tutorial_202_Viewer_Qt
 * The source file containing the main() function:
 * \include Tutorial_202_Viewer_Qt/main.cpp
 * The header file of the class:
 * \include Tutorial_202_Viewer_Qt/viewer.h
 * The source file of the class:
 * \include Tutorial_202_Viewer_Qt/viewer.cpp
 */

/// @example Tutorial_203_CompositeView \include Tutorial_203_CompositeView/main.cpp

/**
 * \example Tutorial_204_CameraInterpolation
 * The source file containing the main() function:
 * \include Tutorial_204_CameraInterpolation/main.cpp
 * The header file of the class:
 * \include Tutorial_204_CameraInterpolation/viewer.h
 * The source file of the class:
 * \include Tutorial_204_CameraInterpolation/viewer.cpp
 */

/**
 * \example Tutorial_205_RealCamera
 * The source file containing the main() function:
 * \include Tutorial_205_RealCamera/main.cpp
 * The header file of the class:
 * \include Tutorial_205_RealCamera/viewer.h
 * The source file of the class:
 * \include Tutorial_205_RealCamera/viewer.cpp
 */

/// @example Tutorial_301_Drawables     \include Tutorial_301_Drawables/main.cpp
/// @example Tutorial_302_Imposters     \include Tutorial_302_Imposters/main.cpp
/// @example Tutorial_303_ScalarField   \include Tutorial_303_ScalarField/main.cpp
/// @example Tutorial_304_VectorField   \include Tutorial_304_VectorField/main.cpp
/// @example Tutorial_305_Texture       \include Tutorial_305_Texture/main.cpp

/**
 * \example Tutorial_306_Image
 * The source file containing the main() function:
 * \include Tutorial_306_Image/main.cpp
 * The header file of the class:
 * \include Tutorial_306_Image/viewer.h
 * The source file of the class:
 * \include Tutorial_306_Image/viewer.cpp
 */

/// @example Tutorial_307_Tessellator   \include Tutorial_307_Tessellator/main.cpp

/**
 * \example Tutorial_308_TexturedMesh
 * The source file containing the main() function:
 * \include Tutorial_308_TexturedMesh/main.cpp
 * The header file of the class:
 * \include Tutorial_308_TexturedMesh/viewer.h
 * The source file of the class:
 * \include Tutorial_308_TexturedMesh/viewer.cpp
 */

/**
 * \example Tutorial_309_TextRendering
 * The source file containing the main() function:
 * \include Tutorial_309_TextRendering/main.cpp
 * The header file of the class:
 * \include Tutorial_309_TextRendering/viewer.h
 * The source file of the class:
 * \include Tutorial_309_TextRendering/viewer.cpp
 */

/// @example Tutorial_310_TextMesher    \include Tutorial_310_TextMesher/main.cpp
/// @example Tutorial_311_Animation     \include Tutorial_311_Animation/main.cpp
/// @example Tutorial_312_MultiThread   \include Tutorial_312_MultiThread/main.cpp

/**
 * \example Tutorial_401_ModelPicker
 * The source file containing the main() function:
 * \include Tutorial_401_ModelPicker/main.cpp
 * The header file of the class:
 * \include Tutorial_401_ModelPicker/viewer.h
 * The source file of the class:
 * \include Tutorial_401_ModelPicker/viewer.cpp
 */

/**
 * \example Tutorial_402_FacePicker
 * The source file containing the main() function:
 * \include Tutorial_402_FacePicker/main.cpp
 * The header file of the class:
 * \include Tutorial_402_FacePicker/viewer.h
 * The source file of the class:
 * \include Tutorial_402_FacePicker/viewer.cpp
 */

/**
 * \example Tutorial_403_PointSelection
 * The source file containing the main() function:
 * \include Tutorial_403_PointSelection/main.cpp
 * The header file of the class:
 * \include Tutorial_403_PointSelection/viewer.h
 * The source file of the class:
 * \include Tutorial_403_PointSelection/viewer.cpp
 */

/**
 * \example Tutorial_501_AmbientOcclusion
 * The source file containing the main() function:
 * \include Tutorial_501_AmbientOcclusion/main.cpp
 * The header file of the class:
 * \include Tutorial_501_AmbientOcclusion/viewer.h
 * The source file of the class:
 * \include Tutorial_501_AmbientOcclusion/viewer.cpp
 */

/**
* \example Tutorial_502_HardShadow
* The source file containing the main() function:
* \include Tutorial_502_HardShadow/main.cpp
* The header file of the class:
* \include Tutorial_502_HardShadow/viewer.h
* The source file of the class:
* \include Tutorial_502_HardShadow/viewer.cpp
*/

/**
 * \example Tutorial_503_SoftShadow
 * The source file containing the main() function:
 * \include Tutorial_503_SoftShadow/main.cpp
 * The header file of the class:
 * \include Tutorial_503_SoftShadow/viewer.h
 * The source file of the class:
 * \include Tutorial_503_SoftShadow/viewer.cpp
 */

/**
 * \example Tutorial_504_Transparency
 * The source file containing the main() function:
 * \include Tutorial_504_Transparency/main.cpp
 * The header file of the class:
 * \include Tutorial_504_Transparency/viewer.h
 * The source file of the class:
 * \include Tutorial_504_Transparency/viewer.cpp
 */

/**
 * \example Tutorial_505_EyeDomeLighting
 * The source file containing the main() function:
 * \include Tutorial_505_EyeDomeLighting/main.cpp
 * The header file of the class:
 * \include Tutorial_505_EyeDomeLighting/viewer.h
 * The source file of the class:
 * \include Tutorial_505_EyeDomeLighting/viewer.cpp
 */

/**
 * \example Tutorial_506_DepthMaps
 * The source file containing the main() function:
 * \include Tutorial_506_DepthMaps/main.cpp
 * The header file of the class:
 * \include Tutorial_506_DepthMaps/viewer.h
 * The source file of the class:
 * \include Tutorial_506_DepthMaps/viewer.cpp
 */

/**
 * \example Tutorial_601_Cloud_NormalEstimation
 * The source file containing the main() function:
 * \include Tutorial_601_Cloud_NormalEstimation/main.cpp
 * The header file of the class:
 * \include Tutorial_601_Cloud_NormalEstimation/viewer.h
 * The source file of the class:
 * \include Tutorial_601_Cloud_NormalEstimation/viewer.cpp
 */

/**
 * \example Tutorial_602_Cloud_SurfaceReconstruction
 * The source file containing the main() function:
 * \include Tutorial_602_Cloud_SurfaceReconstruction/main.cpp
 * The header file of the class:
 * \include Tutorial_602_Cloud_SurfaceReconstruction/viewer.h
 * The source file of the class:
 * \include Tutorial_602_Cloud_SurfaceReconstruction/viewer.cpp
 */

/**
 * \example Tutorial_603_Cloud_PlaneExtraction
 * The source file containing the main() function:
 * \include Tutorial_603_Cloud_PlaneExtraction/main.cpp
 * The header file of the class:
 * \include Tutorial_603_Cloud_PlaneExtraction/viewer.h
 * The source file of the class:
 * \include Tutorial_603_Cloud_PlaneExtraction/viewer.cpp
 */


#endif //EASY3D_EXAMPLES_H
